RagTime5SpreadsheetInternal::GraphicPLC Struct Reference

a graphic style PLC More...

## Public Member Functions
| GraphicPLC ()
| constructor
| GraphicPLC (std::vector< int > const &values)
| constructor
int | getGraphicStyleId () const
| returns the graphic id
bool | operator== (GraphicPLC const &plc) const
| operator==
bool | operator!= (GraphicPLC const &plc) const
| operator!=

## Public Attributes
int | m_graphStyleId
| the graph style
int | m_unknownId
| unknown id (always 0)

## Friends
std::ostream & | operator<< (std::ostream &o, GraphicPLC const &plc)
| operator<<

## Detailed Description

a graphic style PLC

## Constructor & Destructor Documentation

## ◆ GraphicPLC() [1/2]

RagTime5SpreadsheetInternal::GraphicPLC::GraphicPLC | ( |  | ) |
| inline

constructor

Referenced by operator!=(), operator<<, and operator==().

## ◆ GraphicPLC() [2/2]

RagTime5SpreadsheetInternal::GraphicPLC::GraphicPLC | ( | std::vector< int > const & | values | ) |
| inline explicit

constructor

## Member Function Documentation

## ◆ getGraphicStyleId()

int RagTime5SpreadsheetInternal::GraphicPLC::getGraphicStyleId | ( |  | ) | const
| inline

returns the graphic id

Referenced by RagTime5Spreadsheet::send().

## ◆ operator!=()

bool RagTime5SpreadsheetInternal::GraphicPLC::operator!= | ( | GraphicPLC const & | plc | ) | const
| inline

operator!=

## ◆ operator==()

bool RagTime5SpreadsheetInternal::GraphicPLC::operator== | ( | GraphicPLC const & | plc | ) | const
| inline

operator==

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | GraphicPLC const & | plc )
| friend

operator<<

## Member Data Documentation

## ◆ m_graphStyleId

int RagTime5SpreadsheetInternal::GraphicPLC::m_graphStyleId

the graph style

Referenced by getGraphicStyleId(), GraphicPLC(), GraphicPLC(), operator<<, and operator==().

## ◆ m_unknownId

int RagTime5SpreadsheetInternal::GraphicPLC::m_unknownId

unknown id (always 0)

Referenced by GraphicPLC(), GraphicPLC(), operator<<, and operator==().

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx